/******************************************************************************

  File name:  sample_task1.h
  Version:    1.0
  Component:  ISDC analysis executable header code template
  Developer:  Don Jennings, ISDC
              Don.Jennings@obs.unige.ch
  
  Purpose:

  This is a ANSI C code template that provides a starting framework for
  developers when constructing analysis executable header files. The template 
  Developers must create and fill in the four "user supplied" functions:

     1. sample_task1GetInitParams(......)
     2. sample_task1Init(......)
     3. sample_task1GetParams(......)
     4. sample_task1ProcessData(......)

  Revision History: 
 
    version 1.0   02/09/97  DJ  first template created

******************************************************************************/

/* Include any standard system header files */

#include <stdlib.h>
#include <stdio.h>

/* Include the isdc.h header file */

#ifndef ISDC_INCLUDED
#include <isdc.h>
#endif

/* Include other ISDC system library header files */

#ifndef DAL_INCLUDED
#include <dal.h>
#endif

#ifndef PIL_INCLUDED
#include <pil.h>
#endif

#ifndef RIL_INCLUDED
#include <ril.h>
#endif

#include"CSPE.h"
#include"EBDS.h"
#include"DTI.h"
#include"BACK.h"

#include <TROOT.h>
#include<TApplication.h>
#include<TStyle.h>
#include<TCanvas.h>
#include<TGraph.h>
#include<TGraphErrors.h>
#include<TF1.h>

 /* Prototypes for the user supplied analysis executable functions */

int get_par();
int processing( );


 


 
