 
/* Include any standard system header files */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include<iostream.h>

/* Include the isdc.h header file */

#ifndef ISDC_INCLUDED
#include <isdc.h>
#endif

/* Include other ISDC system library header files */

#ifndef DAL_INCLUDED
#include <dal.h>
#endif

#ifndef PIL_INCLUDED
#include <pil.h>
#endif

#ifndef RIL_INCLUDED
#include <ril.h>
#endif



/* Subroutines for the user supplied analysis executable functions */

/* User defined headers */
#include"EBDS.h"

 

EBDS   read_EBDS   (dal_element *common_group, int debug ){
   
 

  if(debug>0)cout<<">>>> read_EBDS"<<endl;

 
  int status    = ISDC_OK;
  
  
  char msg [DAL_BIG_STRING];
  char name[DAL_BIG_STRING];
  dal_baseType baseType;

  dal_element *object1 = NULL;
  
  dal_element *element = NULL;
  

int colIndex=0; // since use column name 
int i;
  

void *buff=NULL;

 
element=NULL;
status = DALobjectFindElement(common_group,"SPI.-EBDS-SET",&element,status);
   if(status!=0)cout<<"DALobjectFindElement status="<<status<<endl;

 
long numRows=0;

status = DALtableGetNumRows(element,&numRows,status);
if(status!=0)cout<<"DALtableGetNumRows status="<<status<<endl;
if(debug>=1)cout<<"numRows ="<<numRows<<endl;

dal_dataType dataType=DAL_FLOAT; 

long binSize=0;
int varLength;
status = DALtableGetColStruct(element,colIndex,&numRows,"E_MIN",&dataType,&binSize,&varLength,status);
   if(status!=0)cout<<"DALtableGetColStruct status="<<status<<endl;
if(debug>=1)cout<<"numRows ="<<numRows<<endl;
if(debug>=1)cout<<"binSize ="<<binSize<<endl;



long buffSize;
long startRow=1;
long   endRow=numRows;// since reading an entire column (all rows)

status = DALtableComputeBuffSize(element,"E_MIN",colIndex,startRow,endRow,&buffSize,status);
   if(status!=0)cout<<  "DALtableComputeBuffSize status="<<status<<" buffSize="<<buffSize<<endl;

status = DALallocateDataBuffer(&buff,buffSize,status);
   if(status!=0)cout<<  "DALtableallocateDataBuffer status="<<status<<endl;

int numofe=numRows;
float *e_min  =new float[numofe];// EBDS template definition is 1E = 4 bytes float
float *e_max  =new float[numofe];
int   *channel=new   int[numofe];
for ( i=0;i<numRows;i++){channel[i]=0;e_min[i]=0;e_max[i]=0; }
 
 

long numValues;
numValues=numRows;

// read  entire column: all rows and all column bins
dataType=DAL_FLOAT;
buff=e_min;
status = DALtableGetCol(element,"E_MIN",colIndex,&dataType,&numValues,buff,status);
      if(status!=0)cout<<"DALtableGetCol status="<<status<<endl;
buff=e_max;
status = DALtableGetCol(element,"E_MAX",colIndex,&dataType,&numValues,buff,status);
      if(status!=0)cout<<"DALtableGetCol status="<<status<<endl;
dataType=DAL_INT;
buff=channel;
status = DALtableGetCol(element,"CHANNEL",colIndex,&dataType,&numValues,buff,status);
      if(status!=0)cout<<"DALtableGetCol status="<<status<<endl;
 

   if(status!=0)cout<<"DALtableGetCol status="<<status<<endl;

   if(debug>=1)
   for ( i=0;i<numRows;i++){cout<<channel[i]<<" "<<e_min[i]<<" "<<e_max[i];cout<<endl;}






 
EBDS ebds;
ebds.n_channels=numRows;
ebds.e_min=new double[ebds.n_channels];
ebds.e_max=new double[ebds.n_channels];
 for ( i=0;i<ebds.n_channels;i++){
ebds.e_min[i]=e_min[i];
ebds.e_max[i]=e_max[i];
 }

 if(debug>0)cout<<"<<<<read_EBDS"<<endl;
   
 
return ebds  ;}


 


